Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Earth Moving Equipment Permit# 2021-02433, UID# 3102
App. Status: Expired

Valid: 08/11/2021 - 08/14/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2809 (08/11/2021)

Charge Cost Quantity Total
Non-Taxable
added 08/11/2021 12:35 PM

Compliant 110,001 - 120,000 lbs

$70.00 x 1 $70.00
added 08/11/2021 12:35 PM

Fee for over length permit

$30.00 x 1 $30.00
added 08/11/2021 12:35 PM

Fee for over width permit

$30.00 x 1 $30.00
added 08/11/2021 12:32 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $160.00
Payment 08/16/2021$160.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJennifeer Guderjahn - 08/11/2021 12:33 PM
8ebd621f5efa5bfb1791d967848d6e12
6df716efc18c521ecd87d6b78084bf95
 
#1 Permit Issuing OfficialRachel Grimm - 08/11/2021 12:41 PM
b81d2900b592f465a40f27bb3c8a1625
77e827006ebd6500e747ef50629c531e
 
Permit has been approved. All signatures have been obtained.